//button
// Get the element with id="defaultOpen" and click on it
document.getElementById("defaultOpen").click();
document.getElementById("div1").scrollIntoView();

// Open each tab corresponding to button
function openTab(evt, tabName) {
  // Declare all variables
  var i, tabcontent, tablinks;

  // Get all elements with class="tabcontent" and hide them
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }

  // Get all elements with class="tablinks" and remove the class "active"
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }

  // Show the current tab, and add an "active" class to the button that opened the tab
  document.getElementById(tabName).style.display = "block";
  evt.currentTarget.className += " active";

  document.getElementById('div4').scrollIntoView();
}


/*navigation-leftbar */
function getHeight(element) {
              var HeightOfElement = 0;
              while (element) {
                HeightOfElement += element.offsetTop;
                  element = element.offsetParent;
              }
              return HeightOfElement;
}
if (indexFlag == 0) {
  ContentBox = document.getElementsByClassName("content-box")
  var flag = []
  for (var i = 0; i < ContentBox.length; i++) {
    flag[i] = 0;
  }

  wrapperH=document.querySelector(".container-fluid").offsetTop;
  window.addEventListener("scroll",function(){
    currentScroll = window.pageYOffset;
    for (var i = 0; i < ContentBox.length; i++) {
      //console.log("%d--%d %d %d %d", i, currentScroll, ContentBox[i].offsetTop, window.screen.availHeight, wrapperH)
      // if (currentScroll > ContentBox[i].offsetTop +wrapperH - window.screen.availHeight * 0.6 && flag[i] == 0) {
      if(currentScroll > getHeight(ContentBox[i])-window.screen.availHeight+300 && flag[i] == 0){
        flag[i] = 1;
        addClass(ContentBox[i], "content-box-show");
      }
    }
  })

  leftBarItem = document.getElementsByClassName("left-bar-right-item")
  var flagLeft = []
  for (var i = 0; i < leftBarItem.length; i++) {
    flagLeft[i] = 0;
  }
  leftBarDom = document.getElementsByClassName("index-big-box");
  wrapperH = document.querySelector(".container-fluid").offsetTop;
  window.addEventListener("scroll",function () {
    wrapperLeft = document.querySelector(".wrapper-left");
    wrapperRight = document.querySelector(".wrapper-right");
    foot = document.querySelector("#foot");
    leftleft = document.querySelector(".left-bar-left");
//    console.log("scroll  %d  %d %d",window.pageYOffset,wrapperRight.offsetTop,foot.offsetHeight);
    if (window.pageYOffset >= wrapperRight.offsetTop - window.screen.availHeight*0.1  && window.pageYOffset < foot.offsetTop - window.screen.availHeight * 0.9) {
      leftleft.style.opacity = 1;
      wrapperLeft.style.opacity = 1;
    }
    else {
      leftleft.style.opacity = 0;
      wrapperLeft.style.opacity = 0;
    }
    // console.log("scroll  %d  %d %d",window.pageYOffset,foot.offsetTop,foot.offsetHeight);
    /*left bar*/
    leftBar = document.querySelector(".left-bar");
    barHeight = window.screen.availHeight * 0.9;
    const itemBox = document.querySelector('.left-bar-right-item').offsetHeight;
    const scrollBox = document.querySelector('.scroll-nav');
    const scrollBoxHeight = ((window.pageYOffset) / (document.body.clientHeight - window.innerHeight)) * barHeight;
    scrollBox.style.height = scrollBoxHeight + 'px';
    let LeftScrollTop = document.documentElement.scrollTop || document.body.scrollTop;
    for (var i = 0; i < leftBarDom.length; i++) {
      //console.log("Dom%d  %d %d %d",i,LeftScrollTop,leftBarDom[i].offsetTop,leftBarDom[i].offsetHeight);
      if (LeftScrollTop >= leftBarDom[i].offsetTop + window.screen.availHeight * 0.3 && leftBarDom[i].offsetTop + leftBarDom[i].offsetHeight + window.screen.availHeight * 0.3 > LeftScrollTop) {
        if (flagLeft[i] == 0) {
          addClass(leftBarItem[i], "left-box-active");
          flagLeft[i] = 1;
        }
      }
      else {
        flagLeft[i] = 0;
        removeClass(leftBarItem[i], "left-box-active");
      }
    }
  })
}



